View Issue Details

IDProjectCategoryView StatusLast Update
04570User patches[All Projects] Survey takingpublic2010-09-09 13:17
Reporterwerner Assigned ToMazi  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.90+ 
Target VersionFixed in Version1.91 
Summary04570: skip welcome page
Description

sorry this is not a bug but still it bugs me.

Additional Information

edit-replace /limesurvey/group.php
line (21) if (!isset($_SESSION['step'])) {$_SESSION['step']=0;}

edit-replace /limesurvey/question.php
line (22) if (!isset($_SESSION['step'])) {$_SESSION['step']=0;}

replace this with

if (!isset($_SESSION['step']))
{
$resWelcome = strip_tags($thissurvey['welcome']);
if(!empty($resWelcome))
{
$_SESSION['step'] = 0;
}
else
{
$totalquestions = buildsurveysession();
$_SESSION['step'] = 1;
}
}

what we did is this if you leave the welcome message empty
we remove the html breaks, populate session and set session step to 1 and let limesurvey pick it up from there.
;)

b.t.w don't think it's neccesery to add case private and welcome == empty but that's just my two cents.

with kind regards,
Werner

TagsNo tags attached.
Complete LimeSurvey version number (& build)+9089

Activities

Mazi

Mazi

2010-09-09 13:17

partner   ~12803

Thanks for sharing your code with us.

This feature will be available as survey setting in the next Limesurvey version, see http://limesurvey.svn.sourceforge.net/viewvc/limesurvey?view=revision&revision=9099

Issue History

Date Modified Username Field Change
2010-08-31 18:51 werner New Issue
2010-08-31 20:11 c_schmitz Project Bug reports => User patches
2010-09-09 13:15 Mazi Assigned To => tpartner
2010-09-09 13:15 Mazi Status new => assigned
2010-09-09 13:17 Mazi Note Added: 12803
2010-09-09 13:17 Mazi Status assigned => closed
2010-09-09 13:17 Mazi Assigned To tpartner => Mazi
2010-09-09 13:17 Mazi Resolution open => fixed
2010-09-09 13:17 Mazi Fixed in Version => 1.91
2010-10-25 00:18 c_schmitz Category Survey at Runtime => Survey taking